Skip to main content
`Ctrl`+`K`

# PCMGSetInterpolation

Sets the function to be used to calculate the interpolation from l-1 to the lth level

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetInterpolation(PC pc, PetscInt l, Mat mat)

Logically Collective

## Input Parameters

- pc - the multigrid context

- mat - the interpolation operator

- l - the level (0 is coarsest) to supply [do not supply 0]

## Notes

Usually this is the same matrix used also to set the restriction for the same level.

One can pass in the interpolation matrix or its transpose; PETSc figures out from the matrix size which one it is.

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGSetRestriction()`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mgfunc.c

## Examples

src/ksp/ksp/tutorials/ex42.c
src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex36.cxx
src/ksp/ksp/tutorials/ex56.c
src/dm/impls/stag/tutorials/ex4.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages